This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1030755 - Review Request: python-livereload - LiveReload server in Python
Review Request: python-livereload - LiveReload server in Python
Status: CLOSED DUPLICATE of bug 1302197
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
Ready
:
Depends On: 1030754
Blocks: 1010741 1301023
  Show dependency treegraph
 
Reported: 2013-11-14 23:51 EST by Christopher Meng
Modified: 2016-01-27 01:36 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-26 23:36:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-11-14 23:51:35 EST
Spec URL: http://cicku.me/python-livereload.spec
SRPM URL: http://cicku.me/python-livereload-1.0.1-1.fc21.src.rpm
Description: python-livereload is an awesome tool for web developers.

Web Developers need to refresh the browser everytime when saving a file (css, 
javascript, html), it is really boring. LiveReload will take care of that for 
you. When you saved a file, your browser will refresh itself. And what's more,
it can do some tasks like compiling less to css before the browser refreshing.
Fedora Account System Username: cicku
Comment 1 Mario Blättermann 2013-11-17 09:27:51 EST
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6190504

$ rpmlint -i -v *python3-livereload.noarch: I: checking
python3-livereload.noarch: W: spelling-error %description -l en_US everytime -> every time, every-time, timeserver
The value of this tag appears to be misspelled. Please double-check.

python3-livereload.noarch: W: spelling-error %description -l en_US css -> cs, cuss, ass
The value of this tag appears to be misspelled. Please double-check.

python3-livereload.noarch: W: spelling-error %description -l en_US javascript -> java script, java-script, JavaScript
The value of this tag appears to be misspelled. Please double-check.

python3-livereload.noarch: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
The value of this tag appears to be misspelled. Please double-check.

python3-livereload.noarch: I: checking-url https://github.com/lepture/python-livereload (timeout 10 seconds)
python3-livereload.noarch: E: non-executable-script /usr/lib/python3.3/site-packages/livereload/compiler.py 0644L /usr/bin/python
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

python3-livereload.noarch: E: non-executable-script /usr/lib/python3.3/site-packages/livereload/cli.py 0644L /usr/bin/env
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

python3-livereload.noarch: E: non-executable-script /usr/lib/python3.3/site-packages/livereload/__init__.py 0644L /usr/bin/env
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

python3-livereload.noarch: W: no-manual-page-for-binary livereload-3.3
Each executable in standard binary directories should have a man page.

python-livereload.noarch: I: checking
python-livereload.noarch: W: spelling-error %description -l en_US everytime -> every time, every-time, timeserver
The value of this tag appears to be misspelled. Please double-check.

python-livereload.noarch: W: spelling-error %description -l en_US css -> cs, cuss, ass
The value of this tag appears to be misspelled. Please double-check.

python-livereload.noarch: W: spelling-error %description -l en_US javascript -> java script, java-script, JavaScript
The value of this tag appears to be misspelled. Please double-check.

python-livereload.noarch: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
The value of this tag appears to be misspelled. Please double-check.

python-livereload.noarch: I: checking-url https://github.com/lepture/python-livereload (timeout 10 seconds)
python-livereload.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/livereload/compiler.py 0644L /usr/bin/python
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

python-livereload.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/livereload/cli.py 0644L /usr/bin/env
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

python-livereload.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/livereload/__init__.py 0644L /usr/bin/env
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

python-livereload.noarch: W: no-manual-page-for-binary livereload
Each executable in standard binary directories should have a man page.

python-livereload.src: I: checking
python-livereload.src: W: spelling-error %description -l en_US everytime -> every time, every-time, timeserver
The value of this tag appears to be misspelled. Please double-check.

python-livereload.src: W: spelling-error %description -l en_US css -> cs, cuss, ass
The value of this tag appears to be misspelled. Please double-check.

python-livereload.src: W: spelling-error %description -l en_US javascript -> java script, java-script, JavaScript
The value of this tag appears to be misspelled. Please double-check.

python-livereload.src: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
The value of this tag appears to be misspelled. Please double-check.

python-livereload.src: I: checking-url https://github.com/lepture/python-livereload (timeout 10 seconds)
python-livereload.src: I: checking-url https://pypi.python.org/packages/source/l/livereload/livereload-1.0.1.tar.gz (timeout 10 seconds)
python-livereload.spec: I: checking-url https://pypi.python.org/packages/source/l/livereload/livereload-1.0.1.tar.gz (timeout 10 seconds)
3 packages and 1 specfiles checked; 6 errors, 14 warnings.


Please fix the headers of the mentioned scripts. We don't use the "env" style shebangs anymore.

Fix some spelling errors:

html > HTML
css > CSS
javascript > Javascript
everytime > every time


The missing man page is simply to fix. You might borrow it from the Debian folks:
http://packages.debian.org/sid/all/python-livereload/filelist
The Anonscm Git server is down due to a recent hard disk crash (http://lists.debian.org/debian-infrastructure-announce/2013/11/msg00000.html), but you could use a Debian binary package to fetch the file:
http://ftp.br.debian.org/debian/pool/main/p/python-livereload/python-livereload_1.0.1-1_all.deb. The man page resides in the data.tar.xz subarchive.
Comment 2 Pete Travis 2014-02-18 02:12:53 EST
looking forward to playing with this, I'll take the review.
Comment 3 Pete Travis 2014-06-02 16:00:21 EDT
Releasing, feel free to ping me if you want to continue review.
Comment 4 Christopher Meng 2014-07-12 13:30:52 EDT
Hi Pete,

From what I can gather, livereload is not appreciated by the nikola as the unstable API changes.

Can you confirm if it's needed by special version or just unlimited?

Thanks.

---------------------------------

Spec URL: http://us-la.cicku.me/python-livereload.spec
SRPM URL: http://us-la.cicku.me/python-livereload-2.2.1-1.fc22.src.rpm
Comment 5 Pete Travis 2014-07-16 01:50:13 EDT
Hey Christopher,

Surprisingly, yes, nikola likes a specific version of livereload. Usually they're pushing for the newest of everything :)
requirements-extras.txt in current nikola (7.0.1) lists: livereload==2.1.0

fwiw, it looks like 2.1.0 -> 2.2.0 was mostly about using inotify where they didn't before, nothing jumped out as a compatibility issue.  I'll be sure to test before adding it as a dep for python-nikola-extras.  

I appreciate the heads up; even if it does grow dependencies on a specific version we should be ok with good communication.
Comment 6 Pete Travis 2015-04-11 14:33:09 EDT
There have been a few releases since your last update, are you still interested in pursuing this review, Christopher?  Nikola currently declares requirements as "livereload==2.3.2", fwiw.
Comment 7 Parag AN(पराग) 2016-01-26 23:36:39 EST
Closing this as we already had enough wait here and we don't need to comment and wait for one more week for reporter.

Anyone interested in this package please submit fresh request and mark this as duplicate to new bug.
Comment 8 Sundeep Anand 2016-01-27 01:36:16 EST

*** This bug has been marked as a duplicate of bug 1302197 ***

Note You need to log in before you can comment on or make changes to this bug.